List Transactions
curl --request GET \
--url https://api.example.com/v1/transactionsimport requests
url = "https://api.example.com/v1/transactions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"total_records": 123,
"current_page": 123,
"total_pages": 123,
"page_size": 123
},
"items": [
{
"transaction_id": 123,
"type": "<string>",
"tender": "<string>",
"payment_name": "<string>",
"payment_network": "<string>",
"payment_account": "<string>",
"payment_account_expiry": "<string>",
"amount": 123,
"authorization_amount": 123,
"captured_amount": 123,
"gratuity_amount": 123,
"surcharge_amount": 123,
"settlement_amount": 123,
"voided_amount": 123,
"reference_transaction_id": 123,
"approval_code": "<string>",
"avs_code": "<string>",
"cvv_code": "<string>",
"enhanced": true,
"status": "<string>",
"created": "2023-11-07T05:31:56Z",
"events": [
{
"type": "<string>",
"code": "<string>",
"text": "<string>",
"created": "2023-11-07T05:31:56Z"
}
]
}
]
}{
"errors": [
{
"type": "<string>",
"message": null
}
],
"request_id": "000000000000000000000"
}Transactions
List Transactions
Get a list of ACTIVE customers from your vault. The default sort order is CREATED DATE DESCENDING.
GET
/
v1
/
transactions
List Transactions
Query Parameters
Page of results being requested.
Default: 1
Required range:
1 <= x <= 2147483647Example:
1
Size of the page of results being requested.
Default: 100
Required range:
1 <= x <= 100Example:
100
⌘I